%define	desktop_vendor planetccrma

Summary: ReZound is a sound file editor and recorder
Name: rezound
Version: 0.12.3beta
Release: 1%{?dist}
License: GPL
Group: Applications/Multimedia
URL: http://rezound.sourceforge.net/
Source: http://prdownloads.sourceforge.net/rezound/rezound-%{version}.tar.gz
Source1: rezound.desktop
Patch0: rezound-0.11.1beta-assert.patch
Patch1: rezound-0.12.2beta-int_loses_precision.patch
Patch2: rezound-0.12.3beta-ALFO.patch
Patch3: rezound-0.12.3beta-anytype.patch
Patch4: rezound-0.12.3beta-CAdaptiveNormalizeAction.patch
Patch5: rezound-0.12.3beta-CGenerateNoiseAction.patch
Patch6: rezound-0.12.3beta-CGraphParamValueNode.patch
Patch7: rezound-0.12.3beta-CPluginMapping.patch
Patch8: rezound-0.12.3beta-CSound_defs.patch
Patch9: rezound-0.12.3beta-endian_util.patch
Patch10: rezound-0.12.3beta-CFLACSoundTranslator.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: hicolor-icon-theme
Packager: Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

BuildRequires: m4 flex bison desktop-file-utils audiofile-devel
BuildRequires: jack-audio-connection-kit-devel soundtouch-devel
BuildRequires: libtiff-devel libjpeg-devel libpng-devel libvorbis-devel
BuildRequires: cdrdao ImageMagick fox-devel gettext gettext-devel
BuildRequires: xorg-x11-proto-devel fftw2-devel
BuildRequires: flac123 flac-devel

%description
ReZound aims to be a stable, open source, and graphical audio file editor 
primarily for but not limited to the Linux operating system. 

%prep
%setup -q -n rezound-%{version} 
%if "%{fc2}" == "1" || "%{fc4}" == "1"
%patch0 -p1
%endif
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1

%build
%ifarch x86_64
# fix bad cast in configure that prevents detection of gettext in libc, etc
%{__perl} -p -i -e "s|\(int\) gettext|\(long\) gettext|g" configure
%endif

%configure --enable-internal-sample-type=float --enable-jack \
    --disable-libFLACtest --disable-libFLACCPPtest \
#   --disable-soundtouch-check

#    --with-libFLAC-includes=%{_includedir}/FLAC \
#    --with-libFLACPP-includes=%{_includedir}/FLAC \
#%if "%{fedora}" < "7"
# we do not need to add -I/usr/include/FLAC in the include path,
# a bad assert include in there will trigger errors, see changelog
find . -name Makefile -exec perl -p -i -e "s|-I/usr/include/FLAC||g" {} \;
#%endif
# do not use smp make flags
%{__make}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

# desktop file categories
BASE="Application AudioVideo Audio"
XTRA="X-Jack X-Editors"

%{__mkdir} -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications    \
  `for c in ${BASE} ${XTRA} ; do echo "--add-category $c " ; done` \
  %{SOURCE1}

# remove extra doc files to make rpm happy
%{__rm} -rf %{buildroot}%{_prefix}/doc

# convert icon to png, install in proper freedesktop location
convert src/images/icon_logo_32.gif rezound.png
%{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
%{__mv} rezound.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/

%find_lang rezound

%clean
%{__rm} -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files -f rezound.lang
%defattr(-,root,root,0755)
%doc docs/AUTHORS docs/COPYING docs/NEWS docs/README_DOCS docs/README 
%doc docs/FrontendFoxFeatures.txt docs/Features.txt
%{_datadir}/rezound/* 
%{_bindir}/rezound
%{_datadir}/applications/*rezound.desktop
%{_datadir}/icons/hicolor/32x32/apps/rezound.png

%changelog
* Tue Jan 12 2010 Matt Barber <brbrofsvl .at. gmail .dot. com>
- added patches to build on fc12

* Fri Feb  1 2008 Arnaud Gomes-do-Vale <Arnaud.Gomes@ircam.fr>
- built on CentOS

* Wed Nov 14 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- updated desktop categories

* Fri Sep 14 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.12.3beta-1
- add rezound-0.12.2beta-int_loses_precision.patch for x86_64 builds
  (borrowed from SuSE 10.x source package)
- fix cast in configure to allow detection of gettext in glibc, etc

* Wed Jun  6 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.12.3beta-1
- use older flac123 package when building on fc7

* Sun Apr 15 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.12.3beta-1
- update to 0.12.3beta
- compiles with gcc4 and fox 1.6

* Mon Jul 31 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.12.2beta-2
- build on fc5, needs older gcc and fox <= 1.4.x (1.6.x won't work)
- the assert problem is due to flac-devel, it fails to include the system
  assert file unless DEBUG is defined (thanks to David Cornette for the tip),
  so point to the /usr/include/FLAC include directory explicitly and erase all
  references to it from the Makefiles before building (but after configure)
- added desktop file Planet CCRMA categories
- use find_lang build macro
- convert icon to png, install in freedesktop location, add icon cache scripts

* Wed Jan 25 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.12.2beta-1
- update to 0.12.2b, now builds on fc4 with gcc4

* Thu Aug 18 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- build using gcc32 on fc4 until there are patches for building on gcc4

* Fri Aug 12 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.12.0beta-1
- added gcc4 patch from the rezound bug report page

* Wed May  4 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.12.0beta-1
- updated to 0.12.0beta

* Sun Dec 26 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.11.1beta-1
- spec file cleanup

* Mon Nov 15 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.11.1beta-1
- updated to 0.11.1beta
- disable asserts in fc2 (assert does not get defined when included
  from the soundtouch library)

* Thu Aug 26 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.10.0beta-1
- updated to 0.10.0beta
- added soundtouch dependency, explicit paths for FLAC libraries and includes
- m4 buildrequire is needed by bison in fc1
- on rh9 libtiff's ldconfig does not create the .so.3 link at install
  time and reswrap fails, created by hand during the build (cheating)

* Sun May  9 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added proper buildrequires

* Tue Nov 11 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0beta-1
- updated to 0.9.0beta
- added release tags, spec file tweaks
- switched to newly supported internal float format

* Sat Jul 26 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.8.3beta-1
- updated to 0.8.3beta
- added locale files to file list
- added menu entry

* Tue May 28 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.7.0beta-1
- first planet ccrma build
- build as a dynamically linked program
- the % make target does not exist

* Wed Feb 24 2003 Davy Durham <ddurham@users.sourceforge.com> 0.7.0beta-1
- fifth rpm release

* Wed Jan 27 2003 Davy Durham <ddurham@users.sourceforge.com> 0.6.0beta-1
- forth rpm release

* Wed Oct 27 2002 Davy Durham <ddurham@users.sourceforge.com> 0.5.1beta-1
- third rpm release

* Wed Oct 23 2002 Davy Durham <ddurham@users.sourceforge.com> 0.5.0beta-1
- second rpm release

* Thu Sep 6 2002 Davy Durham <ddurham@users.sourceforge.com> 0.4.0beta-1
- first rpm release

